#! /bin/sh

PORT=9090
LOG=/tmp/polgen_daemon.txt

./broadcast -d $LOG $PORT
pids=`ps gux|grep broadcast|grep -v grep|awk '{print $2}'`
echo Server started at $PORT as pid $pids
trap "kill $pids" 1 2 3 6 9 15

sleep 2
echo Client started
./say localhost $PORT

sleep 2
kill $pids
echo Echo server log
cat $LOG
rm $LOG

echo Socket pair test started
exec ./sockpair
